Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Gregory Heytings <[email-masked]>
Date: Mon, 26 Dec 2022 14:05:53 +0000

>> IME passing an font name in the :font attribute gives in general better 
>> results than passing a font name in the :family attribute.  (And Dmitry 
>> confirmed that the problem he was facing was mostly solved with that 
>> change.)
>
> It is strange, because if the family is simply the name of the font, it 
> should be interpreted the same, because what else could family mean in 
> that case?
>

In theory, yes, but in practice the code paths are different in both 
cases.  The :font attribute gets a special treatment in 
Finternal_set_lisp_face_attribute, which is more "direct" than the 
treatment of the :family attribute, and (again IME) gives better results.